View Issue Details

IDCategoryLast Update
0000011bugs2003-12-12 14:42
ReportertaybinAssigned Topaul 
Reproducibilityalways 
Status closedResolutionfixed 
Product Version 
Fixed in Version 
Summary0000011: careful handling of X modifiers required
DescriptionPop-up menus should work regardless of num-lock status. we need to check the X modifier map information on startup, complain if its not sane, and handle various odd conditions properly. [ paul says: use code xphat to do this ]
TagsNo tags attached.

Activities

paul

2003-10-21 02:02

administrator   ~0000037

to track this down, we really need to know the xmodmap -pm output
for the user (NOTE: this will need to be added to the bugs script - i will
file this as a separate report). if NumLock has been bound to, say, Mod2, then
we cannot easily distinguish this situation from, say, the "windows" key from
being bound to Mod2. i have code to look at the X keybindings and see
what is going on, but its quite complex and ugly :)

paul

2003-11-25 22:01

administrator   ~0000197

we only pay attention to modifiers that are in use. all others are ignored. commited to CVS november 24th 2003 or before.

taybin

2003-12-12 14:42

administrator   ~0000264

Ardour now works with and without num-lock.

Issue History

Date Modified Username Field Change
2003-09-16 16:18 taybin New Issue
2003-09-16 16:20 taybin Status new => confirmed
2003-09-16 16:39 taybin Assigned To => paul
2003-09-16 16:39 taybin Status confirmed => assigned
2003-10-21 02:02 paul Note Added: 0000037
2003-10-21 20:21 paul Summary num-lock must be on for pop-up menus => careful handling of X modifiers required
2003-10-21 20:21 paul Description Updated
2003-11-25 22:01 paul Status assigned => resolved
2003-11-25 22:01 paul Resolution open => fixed
2003-11-25 22:01 paul Note Added: 0000197
2003-12-12 14:42 taybin Status resolved => closed
2003-12-12 14:42 taybin Note Added: 0000264